------------------------------------------------------------------------------------------
--
--	File		\mods\4DC_WOF_V0.8\hook\lua\selfdestruct.lua
--
--	Author(s)	Resin_Smoker
--
--	Co-Auth		Brute51, Domino
--
--	Updated		10/12/2013
--
--	Summary		Scripts added for Weight of Fire (W.O.F.) to prevent WOF from triggering
--				during unit self destruct.
--
--	Copyright  2013 4DC_WOF_V0.8 WOF, All rights reserved.
--
------------------------------------------------------------------------------------------
do--(start of non-destructive hook)

-- Triggers all logs to report if flag set true, otherwise use the local flags within each function for specific outputs
local masterDebug = false

-- Custom files imported
local WOF_UNIT_UTILS = import('/mods/4DC_WOF_V0.8/lua/WOF_UNIT_UTILS.lua')

local oldToggleSelfDestruct = ToggleSelfDestruct

	function ToggleSelfDestruct( data ) -- Verified good 10/12/2013
		if masterDebug then
			LOG('*** Selfdestruct.lua, ToggleSelfDestruct ***')
		end
		--Prevent the triggerig of an WOF event if the unit is self destructing
		WOF_UNIT_UTILS.WOF_DESTRUCT_TOGGLE( data )
		--Call the old Self Destruct function
		oldToggleSelfDestruct( data )
	end

end--(end of non-destructive hook)