------------------------------------------------------------------------------------------
--
--	File	 :	\mods\4DC_WOF_V0.8\hook\lua\sim\weapon.lua
--
--	Author(s):	Resin_Smoker
--
--	Co-Auth:	Brute51, Domino
--
--	Updated:	10/20/2013
--
--	Summary  :	Scripts added for Weight of Fire (W.O.F.) to pass signifigant weapon and
--				launcher data to projectile.
--
--	Copyright  2013 4DC_WOF_V0.8 WOF, All rights reserved.
--
------------------------------------------------------------------------------------------

do--(start of non-destructive hook)

-- Triggers all logs to report if flag set true, otherwise use the local flags within each function for specific outputs
local masterDebug = false

local oldWeapon = Weapon

Weapon = Class(oldWeapon) {

	GetDamageTable = function(self) -- Verified good 10/20/2013
		local damageTable = oldWeapon.GetDamageTable(self)

		-- Add weapon data to damageTable so this is passed to projectile
		if self and self.GetBlueprint then
			local bp = self:GetBlueprint()
			damageTable.INST = {}
			damageTable.INST.ID = self.unit:GetEntityId() or 'UNKNOWN'
			damageTable.INST.DESC = self.unit.WOF_STUFF.UNIT.DESRIPTION or 'UNKNOWN'
			damageTable.INST.NAME = self.unit.WOF_STUFF.UNIT.NAME or 'UNKNOWN'
			damageTable.INST.TECH = self.unit.WOF_STUFF.UNIT.TECH or 'UNKNOWN'
			local target = self:GetCurrentTarget() 
			if target and IsUnit(target) then
				damageTable.INST.TARGET = target:GetEntityId() or 'UNKNOWN'
			else
				damageTable.INST.TARGET = 'UNKNOWN'
			end				
			damageTable.WEAP = {}
			damageTable.WEAP = bp or 'UNKNOWN'
			if masterDebug then
				LOG('*** weapon.lua, GetDamageTable, Contents of damageTable to later pass to projectile***')
				LOG('	', repr(damageTable) )
			end
		end
		return damageTable
	end,
}
end--(end of non-destructive hook)