------------------------------------------------------------------------------
--  File     :  /mods/4DC_WOF_V0.8/lua/WOF_EffectTemplates.lua
--
--  Author(s):  Resin Smoker, Domino 
--
--  Summary  :  Definition of WOF special effects
--
--  Copyright  2013 WOF  All rights reserved.
------------------------------------------------------------------------------
local TableCat = import('/lua/utilities.lua').TableCat
local EmtBpPath = '/effects/emitters/'
local ModPath = '/mods/4DC_WOF_V0.8/effects/Emitters/'
local EffectTemplate = import('/lua/EffectTemplates.lua')

-------------------------------------------------------------------------
-- Emitters for unit underwater effects
-------------------------------------------------------------------------
AmbientSeabedEffects = {
    EmtBpPath .. 'underwater_vent_bubbles_02_emit.bp',
}

SinkingExplosions = {
    EmtBpPath .. 'destruction_underwater_explosion_flash_01_emit.bp',
    EmtBpPath .. 'destruction_underwater_explosion_flash_02_emit.bp',
    EmtBpPath .. 'destruction_underwater_explosion_splash_01_emit.bp',
}

SeabedExplosionEffectsSml01 = {
    EmtBpPath .. 'destruction_underwater_explosion_flash_01_emit.bp',
    EmtBpPath .. 'destruction_underwater_explosion_flash_02_emit.bp',            
    EmtBpPath .. 'destruction_underwater_explosion_splash_01_emit.bp',
    -- debris flying away
    EmtBpPath .. 'destruction_explosion_debris_07_emit.bp',
    EmtBpPath .. 'destruction_explosion_debris_08_emit.bp',
    EmtBpPath .. 'destruction_explosion_debris_09_emit.bp',
}

SeabedExplosionEffectsMed01 = {
    EmtBpPath .. 'destruction_underwater_explosion_flash_01_emit.bp',
    EmtBpPath .. 'destruction_underwater_explosion_flash_02_emit.bp',            
    EmtBpPath .. 'destruction_underwater_explosion_splash_01_emit.bp',
    -- debris flying away
    EmtBpPath .. 'destruction_explosion_debris_10_emit.bp',
    EmtBpPath .. 'destruction_explosion_debris_11_emit.bp',
    EmtBpPath .. 'destruction_explosion_debris_12_emit.bp',
}

SeabedExplosionEffectsLrg01 = {
    EmtBpPath .. 'destruction_underwater_explosion_flash_01_emit.bp',
    EmtBpPath .. 'destruction_underwater_explosion_flash_02_emit.bp',            
    EmtBpPath .. 'destruction_underwater_explosion_splash_01_emit.bp',
    -- debris flying away
    EmtBpPath .. 'destruction_explosion_debris_01_emit.bp',
    EmtBpPath .. 'destruction_explosion_debris_02_emit.bp',
    EmtBpPath .. 'destruction_explosion_debris_03_emit.bp',
}

SeabedDirtCloud01 = {
    ModPath .. 'underwater_dirt_cloud.bp',
}

-------------------------------------------------------------------------
-- Emitters for unit surface effects
-------------------------------------------------------------------------
WaterImpact = {
    ModPath ..   'destruction_explosion_water_ring_01_emit.bp',
    EmtBpPath .. 'destruction_water_splash_ripples_01_emit.bp',
    EmtBpPath .. 'destruction_water_splash_wash_01_emit.bp',
    EmtBpPath .. 'destruction_water_splash_plume_01_emit.bp',
    EmtBpPath .. 'destruction_underwater_explosion_splash_01_emit.bp',
}

ExperimentalWaterImpact = {
    ModPath ..   'destruction_water_splash_wash_02_emit.bp',
    ModPath ..   'destruction_water_splash_plume_02_emit.bp',
    ModPath ..   'destruction_water_sinking_wash_02_emit.bp',
    EmtBpPath .. 'destruction_underwater_explosion_splash_01_emit.bp',
}

WaterImpactRing = {
    ModPath ..   'destruction_explosion_water_ring_01_emit.bp',
}

-------------------------------------------------------------------------
-- Damaged unit emitters
-------------------------------------------------------------------------
AboveWaterDamageEffect1 = {
    EmtBpPath .. 'destruction_explosion_sparks_01_emit.bp',
}

AboveWaterDamageEffect2 = {
    EmtBpPath .. 'destruction_explosion_sparks_02_emit.bp',
}

UnderWaterDamageEffect1 = {
    EmtBpPath .. 'destruction_damaged_sparks_01_emit.bp',
}

UnderWaterDamageEffect2 = {
    EmtBpPath .. 'destruction_damaged_sparks_01_emit.bp',
}