------------------------------------------------------------------------------------------
--
--  File     :  /mods/4DC_WOF_V0.8/projectiles/WOF_helper/WOF_helper_script.lua
--
--  Author(s):  Resin_Smoker, Domino
--
--  Summary  :  Projectile added for Weight of Fire (W.O.F.), Based upon earlier work done for SC by "Jotto".
--
--  Note     :  Bone 0 = 'wof_helper',  Bone 1 = 'anchor' 
--
--  Copyright  2013 4DC_V0.8  All rights reserved.
--
------------------------------------------------------------------------------------------

-- Misc local files
local PROJECTILE = import('/lua/sim/projectile.lua').Projectile

-- Custom files imported
local WOF_PROJ_UTILS = import('/mods/4DC_WOF_V0.8/lua/WOF_PROJ_UTILS.lua')

-- Triggers all logs to report if flag set true, otherwise use the local flags within each function for specific outputs
local masterDebug = true

WOF_helper = Class(PROJECTILE) {

    OnCreate = function(self, inWater)
        PROJECTILE.OnCreate(self)
		local myDebug = false
		if myDebug or masterDebug then
			LOG('*** WOF_helper_script, OnCreate ***')		
		end		        
        
        -- Hide the helper from view 
        self:SetVizToAllies('Never') 
        self:SetVizToFocusPlayer('Never') 
        self:SetVizToNeutrals('Never')
        self:SetVizToEnemies('Never')
        --Prevent the projectile from intersecting other units or surfaces
		self:SetCollision(true)
    end,
        
}
TypeClass = WOF_helper